
--[[ Sample 02 - Set the window mode

  This sample show how to set up a video mode with the specified width, height 
  and bits-per-pixel.

  How to use:
    Copy this file in the "_bin" folder and rename this to "main.lua" 
    then initialize SDLFW.

  For more info:
    SDLFW.sf.net
    CorEduard@Programmer.net

--]]

--[[ Functions List 

  - main

--]]


 local function main()

  -- Initialize SDL video
  if SDL_Init( SDL_INIT_VIDEO ) < 0 then
    print( "Couldn't initialize SDL: " .. SDL_GetError() )
    exit( 1 )
  end

  -- Create a new window
  local screen = SDL_SetVideoMode( 512, 384, 16, SDL_SWSURFACE )
  if screen == nil then
    print( "Unable to set the video mode: " .. SDL_GetError() )
    SDL_Quit()
    exit( 1 )
  end

  -- Set the window caption
  SDL_WM_SetCaption( "SDLFW - Set the window mode", nil )

  -- Wait 2 seconds
  SDL_Delay( 2000 )

  -- Make sure SDL cleans up before exit
  SDL_Quit()

 end

 main()
