
--[[ Sample 03 - Load a Windows BMP file

  This sample show how to load a Windows BMP file into an SDL_Surface.

  How to use:
    1. Copy the "media" folder into the "_bin" folder.
    2. Copy this file into the "_bin" folder and rename this file to "main.lua".
    3. Initialize SDLFW.

  For more info:
    SDLFW.sf.net
    CorEduard@Programmer.net

--]]

--[[ Functions List 

  - main

--]]


 -- The attributes of the screen
 local SCREEN_WIDTH  = 512
 local SCREEN_HEIGHT = 384
 local SCREEN_BPP    = 32


 local function main()

  if SDL_Init( SDL_INIT_VIDEO ) < 0 then exit( 1 ) end

  local screen = SDL_SetVideoMode( SCREEN_WIDTH, SCREEN_HEIGHT, SCREEN_BPP, SDL_SWSURFACE )
  if screen == nil then
    SDL_Quit() exit( 1 )
  end

  SDL_WM_SetCaption( "SDLFW - Load a Windows BMP file", nil )

  -- Load a Windows BMP file
  local image = SDL_LoadBMP( SDLFW_PATH .. "../samples/media/SDL_Logo.bmp" )
  if image ~= nil then

    -- Apply image to screen
    SDL_BlitSurface( image, nil, screen, nil )
    -- Finally, update the screen :)
    SDL_Flip( screen )
    -- Free the loaded image
    SDL_FreeSurface( image )

  end

  SDL_Delay( 2000 )

  SDL_Quit()

 end

 main()
