
--[[ Sample 12 - CD-ROM Playback

  This sample show how to playing audio from the basic functions of a CD player.

  How to use:
    1. Copy the "media" folder into the "_bin" folder.
    2. Copy this file into the "_bin" folder and rename this file to "main.lua".
    3. Initialize SDLFW.

  For more info:
    SDLFW.sf.net
    CorEduard@Programmer.net

--]]

--[[ Functions List 

  - main

--]]


 local SCREEN_WIDTH  = 512
 local SCREEN_HEIGHT = 384
 local SCREEN_BPP    = 32


 local function main()

  -- Initializes the video and cdrom subsystems
  if SDL_Init( SDL_INIT_VIDEO + SDL_INIT_CDROM ) < 0 then exit( 1 ) end

  local screen = SDL_SetVideoMode( SCREEN_WIDTH, SCREEN_HEIGHT, SCREEN_BPP, SDL_SWSURFACE )
  if screen == nil then
    SDL_Quit() exit( 1 )
  end

  SDL_WM_SetCaption( "SDLFW - CD-ROM Playback", nil )

  local image = SDL_LoadBMP( SDLFW_PATH .. "../samples/media/SDL_Logo.bmp" )
  if image ~= nil then
    SDL_BlitSurface( image, nil, screen, nil )
    SDL_Flip( screen )
  end

  -- Opens a CD-ROM drive for access
  local cdrom = SDL_CDOpen( 0 )

  -- The current status of the given drive
  if SDL_CDStatus( cdrom ) > 0 then
    -- Play the given CD track(s)
    SDL_CDPlayTracks( cdrom, 0, 0, 0, 0 )
  end

  local event = SDLFW_GetGlobalEvent()

  local done =  false
  while done == false do
    if SDL_PollEvent( event ) then
      if event.type == SDL_QUIT then done = true end
    end
  end

  -- Stops a CDROM
  SDL_CDStop ( cdrom )
  -- Closes a SDL_CD handle
  SDL_CDClose( cdrom )

  SDL_Quit()

 end

 main()
